Skip to Content
Data Transmission Service(UDTS)CreateUDTSPrecheckTask

Create Precheck Task - CreateUDTSPrecheckTask

Overview

Create Precheck Task

Definition

Public Parameters

Parameter NameTypeDescription InformationRequired
ActionstringCorresponding API command name, the current API is CreateUDTSPrecheckTask.Yes
PublicKeystringThe user’s public key can be obtained from Console Yes
SignaturestringUser signature generated based on public key and API command, see Signature AlgorithmYes

Request Parameters

Parameter NameTypeDescription InformationRequired
ProjectIdstringProject ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the GetProjectList interface.No
TypestringTask type, unique value: transfer (data transfer)Yes
Source.N.ModestringTask mode, the value can be full, incremental, full+incremental, bidirectionalYes
Source.N.DataTypestringDatabase type, such as mysqlYes
Source.N.NWTypestringSource network type, can be public, user, dedicated_lineYes
Source.N.ServiceTypestringService type, the value can be small/medium/large/2xlarge/4xlargeYes
Source.N.BandwidthLimitstringSource speed limit, unit is MB/sNo
Source.N.MySQLNode.HoststringMySQL Source Database AddressNo
Source.N.MySQLNode.PortstringMySQL Source Database PortNo
Source.N.MySQLNode.UserstringMySQL Source database usernameNo
Source.N.MySQLNode.PasswordstringMySQL Source Database PasswordNo
Source.N.MySQLNode.VPCIdstringMySQL Source database VPC ID, needs to be filled in when the network type is ‘user’.No
Source.N.MySQLNode.SubnetIdstringMySQL Source database subnet ID, needs to be filled in when the network type is ‘user’.No
Source.N.MySQLNode.DataRegionstringMySQL Database region, for example cn-bj2No
Source.N.MySQLNode.DatabasestringMySQL Name of the DB to be migratedNo
Source.N.MySQLNode.TablestringMySQL Name of the table to be migratedNo
Target.DataTypestringTarget database type, for example mysqlYes
Target.NWTypestringTarget db network type, currently only supports userYes
Target.BandwidthLimitstringDestination end speed limit, unit in MB/sNo
Target.MySQLNode.HoststringMySQL Target database address, for example 10.9.37.212No
Target.MySQLNode.PortstringMySQL Target database port, for example 3306No
Target.MySQLNode.UserstringMySQL Target database username, for example rootNo
Target.MySQLNode.PasswordstringMySQL Target Database PasswordNo
Target.MySQLNode.VPCIdstringMySQL Target Database VPC, for example uvnet-1wz5rqteNo
Target.MySQLNode.SubnetIdstringMySQL Target database subnet ID, for example subnet-zl44fktqNo
Target.MySQLNode.DataRegionstringMySQL Target database region, for example cn-bj2No
Target.MySQLNode.NoBinlogstringWhether to temporarily disable the generation of binlog in the target MySQL during the full process, it can be used when the target disk space is insufficient, or when a faster migration speed is needed. This parameter will disrupt the high availability of the target MySQL.No
NamestringTask name, length cannot exceed 128No
MaxRetryCountstringRetry times, maximum is 5. Default is 0.No
RemarkstringNote information, length cannot exceed 255No

Response Field

Field NameTypeDescription InformationRequired
RetCodeintReturn status code. If it is 0, it means successful return. If it is not 0, it means failure.Yes
ActionstringOperation command name.Yes
MessagestringReturns an error message, providing detailed description when RetCode is non-zero.No
TaskIDarray[string]Precheck Task IDYes

Example

Request Example

https://api.surfercloud.com/?Action=CreateUDTSPrecheckTask &ProjectId=ntXNtkID &Type=AfoZJduy &Source=IHEAqmdk &Target=aBkkoVUT &Name=TxOYjfgR &MaxRetryCount=BPRbxxan &Query=NbKDegKu &Source.N.DataType=NNZyJdsV &Source.N.NWType=qCxNICZB &Target.DataType=YRCqYYvh &Target.NWType=oaxpZkwo &Source.N.ServiceType=MxwpRHJs &Remark=AFDheYLi &Source.N.BandwidthLimit=UNLVDJSa &Source.N.MySQLNode.Host=HwaxGCXx &Source.N.MySQLNode.Port=NHcFDODf &Source.N.MySQLNode.User=ULywglVp &Source.N.MySQLNode.Password=qbgJLOXF &Source.N.MySQLNode.VPCId=BXdJnCHC &Source.N.MySQLNode.SubnetId=XqeTEjRE &Source.N.MySQLNode.DataRegion=LQxgOTGW &Source.N.MySQLNode.Database=BsDfdZtc &Source.N.MySQLNode.Table=KxFFerIx &Target.BandwidthLimit=thOJfkpI &Target.MySQLNode.Host=JZSOqdFp &Target.MySQLNode.Port=nSWwqTBX &Target.MySQLNode.User=WnQjwEdM &Target.MySQLNode.Password=DgVchQcK &Target.MySQLNode.VPCId=dpfwwKZF &Target.MySQLNode.SubnetId=MiLTnWyz &Target.MySQLNode.DataRegion=ecSjgaPM &Target.MySQLNode.NoBinlog=biLinsqJ

Response Example

{ "Action": "CreateUDTSPrecheckTaskResponse", "Data": {}, "Message": "TVBFmuIU", "RetCode": 0 }